/*
 * @Author: SHEN
 * @Date: 2020-04-24 14:25:11
 * @Last Modified by: SHEN
 * @Last Modified time: 2020-04-24 14:57:50
 */
import Vue from 'vue'
import Notice from './notice.vue'

let instance = null
const cards = []
const Constructor = Vue.extend(Notice)

const SNotice = {
  _createInstance() {
    const instance = new Constructor({
      el: document.createElement('div')
    })
    return instance
  },
  show(card) {
    if (!instance) {
      instance = this._createInstance()
    }
    instance.visible = true
    instance.addCard(card)
    if (!instance.$el.parentNode) {
      document.body.appendChild(instance.$el)
    }
  }
}

export default SNotice
