import Vue from 'vue'
import { SSVueUIComponent } from './component'
export function install (vue: typeof Vue, options: {}): void

import { SButton } from './button'
import { SLabelText } from './label-text'
import { SSwitch } from './switch'
import { _SToast } from './toast'
import { _SMessageBox } from './messagebox'

export type Component = SSVueUIComponent

/** Button Component */
export class Button extends SButton {}
export class LabelText extends SLabelText {}
export class Switch extends SSwitch {}
export const SToast: _SToast
export const SMessageBox: _SMessageBox