import Vue from 'vue'
import Router from 'vue-router'

import Menu from '@testComponents/menu'
import TestRefresh from '@testComponents/testRefresh'
import TestLoadmore from '@testComponents/testLoadmore'
import TestLoadmoreSimple from '@testComponents/testLoadmoreSimple'
import TestLoadmoreUseInifinitScroll from '@testComponents/testLoadmoreUseInifinitScroll'
import TestToast from '@testComponents/testToast'
import TestSideMenu from '@testComponents/testSideMenu'
import TestButton from '@testComponents/testButton'
import TestSpinner from '@testComponents/testSpinner'
import TestPopup from '@testComponents/testPopup'
import TestPopup2 from '@testComponents/testPopup2'
import TestMessageBox from '@testComponents/testMessageBox'
import TestInfinitScroll from '@testComponents/testInfinitScroll'
import TestInfinitScroll2 from '@testComponents/testInfinitScroll2'
import TestList from '@testComponents/testList'
import TestList2 from '@testComponents/testList2'
import TestListWithInfinitScroll from '@testComponents/testListWithInfinitScroll'
import TestListInfinitScrollLoadmore from '@testComponents/testListInfinitScrollLoadmore'
import TestClickoutside from '@testComponents/testClickoutside'
import TestScrollMaintain from '@testComponents/testScrollMaintain'
import TestModal from '@testComponents/testModal'
import TestPopover from '@testComponents/testPopover'
import TestActionsheet from '@testComponents/testActionsheet'
import TestInput from '@testComponents/testInput'
import TestCell from '@testComponents/testCell'
import TestCellSwipe from '@testComponents/testCellSwipe'
import TestCalendar from '@testComponents/testCalendar'
import TestRadio from '@testComponents/testRadio'
import TestCheckbox from '@testComponents/testCheckbox'
import TestRange from '@testComponents/testRange'
import TestDropMenu from '@testComponents/testDropMenu'
import TestTabbar from '@testComponents/testTabbar'
import TestScrollView from '@testComponents/testScrollView'
import TestNavBar from '@testComponents/testNavBar'
import TestSwipe from '@testComponents/testSwipe'
import TestSwipe2 from '@testComponents/testSwipe2'
import TestSwitch from '@testComponents/testSwitch'
import TestKeyboard from '@testComponents/testKeyboard'
import TestSteps from '@testComponents/testSteps'
import TestTag from '@testComponents/testTag'
import TestTag2 from '@testComponents/testTag2'
import TestBadge from '@testComponents/testBadge'
import TestLabelText from '@testComponents/testLabelText'
import TestSticky from '@testComponents/testSticky'
import TestAnimScroll from '@testComponents/testAnimScroll'
import TestAnimScroll2 from '@testComponents/testAnimScroll2'
import TestDockMenu from '@testComponents/testDockMenu'
import TestCollectionLayout from '@testComponents/testCollectionLayout'
import TestTest1 from '@testComponents/testtest1'
import TestPicker from '@testComponents/testPicker'
import TestNotice from '@testComponents/testNotice'
import Error from '@testComponents/Error'

Vue.use(Router)

export default new Router({
  mode: 'hash', // hash or history
  routes: [
    {
      path: '/',
      name: 'Menu',
      component: Menu
    },
    {
      path: '/testRefresh',
      name: 'TestRefresh',
      component: TestRefresh
    },
    {
      path: '/testLoadmore',
      name: 'TestLoadmore',
      component: TestLoadmore
    },
    {
      path: '/testLoadmoreSimple',
      name: 'TestLoadmoreSimple',
      component: TestLoadmoreSimple
    },
    {
      path: '/testLoadmoreUseInifinitScroll',
      name: 'TestLoadmoreUseInifinitScroll',
      component: TestLoadmoreUseInifinitScroll
    },
    {
      path: '/testToast',
      name: 'TestToast',
      component: TestToast
    },
    {
      path: '/testSideMenu',
      name: 'TestSideMenu',
      component: TestSideMenu
    },
    {
      path: '/testButton',
      name: 'TestButton',
      component: TestButton
    },
    {
      path: '/testSpinner',
      name: 'TestSpinner',
      component: TestSpinner
    },
    {
      path: '/testPopup',
      name: 'TestPopup',
      component: TestPopup
    },
    {
      path: '/testPopup2',
      name: 'TestPopup2',
      component: TestPopup2
    },
    {
      path: '/testMessageBox',
      name: 'TestMessageBox',
      component: TestMessageBox
    },
    {
      path: '/testInfinitScroll',
      name: 'TestInfinitScroll',
      component: TestInfinitScroll
    },
    {
      path: '/testInfinitScroll2',
      name: 'TestInfinitScroll2',
      component: TestInfinitScroll2
    },
    {
      path: '/testList',
      name: 'TestList',
      component: TestList
    },
    {
      path: '/testList2',
      name: 'TestList2',
      component: TestList2
    },
    {
      path: '/testListWithInfinitScroll',
      name: 'TestListWithInfinitScroll',
      component: TestListWithInfinitScroll
    },
    {
      path: '/testListInfinitScrollLoadmore',
      name: 'TestListInfinitScrollLoadmore',
      component: TestListInfinitScrollLoadmore
    },
    {
      path: '/testClickoutside',
      name: 'TestClickoutside',
      component: TestClickoutside
    },
    {
      path: '/testScrollMaintain',
      name: 'TestScrollMaintain',
      component: TestScrollMaintain
    },
    {
      path: '/testModal',
      name: 'TestModal',
      component: TestModal
    },
    {
      path: '/testPopover',
      name: 'TestPopover',
      component: TestPopover
    },
    {
      path: '/testActionsheet',
      name: 'TestActionsheet',
      component: TestActionsheet
    },
    {
      path: '/testInput',
      name: 'TestInput',
      component: TestInput
    },
    {
      path: '/testCell',
      name: 'TestCell',
      component: TestCell
    },
    {
      path: '/testCellSwipe',
      name: 'TestCellSwipe',
      component: TestCellSwipe
    },
    {
      path: '/testCalendar',
      name: 'TestCalendar',
      component: TestCalendar
    },
    {
      path: '/testRadio',
      name: 'TestRadio',
      component: TestRadio
    },
    {
      path: '/testCheckbox',
      name: 'TestCheckbox',
      component: TestCheckbox
    },
    {
      path: '/testRange',
      name: 'TestRange',
      component: TestRange
    },
    {
      path: '/testDropMenu',
      name: 'TestDropMenu',
      component: TestDropMenu
    },
    {
      path: '/testTabbar',
      name: 'TestTabbar',
      component: TestTabbar
    },
    {
      path: '/testScrollView',
      name: 'TestScrollView',
      component: TestScrollView
    },
    {
      path: '/testNavBar',
      name: 'TestNavBar',
      component: TestNavBar
    },
    {
      path: '/testSwipe',
      name: 'TestSwipe',
      component: TestSwipe
    },
    {
      path: '/testSwipe2',
      name: 'TestSwipe2',
      component: TestSwipe2
    },
    {
      path: '/testSwitch',
      name: 'TestSwitch',
      component: TestSwitch
    },
    {
      path: '/testKeyboard',
      name: 'TestKeyboard',
      component: TestKeyboard
    },
    {
      path: '/testSteps',
      name: 'TestSteps',
      component: TestSteps
    },
    {
      path: '/testTag',
      name: 'TestTag',
      component: TestTag
    },
    {
      path: '/testTag2',
      name: 'TestTag2',
      component: TestTag2
    },
    {
      path: '/testBadge',
      name: 'TestBadge',
      component: TestBadge
    },
    {
      path: '/testLabelText',
      name: 'TestLabelText',
      component: TestLabelText
    },
    {
      path: '/testSticky',
      name: 'TestSticky',
      component: TestSticky
    },
    {
      path: '/testAnimScroll',
      name: 'TestAnimScroll',
      component: TestAnimScroll
    },
    {
      path: '/testAnimScroll2',
      name: 'TestAnimScroll2',
      component: TestAnimScroll2
    },
    {
      path: '/testDockMenu',
      name: 'TestDockMenu',
      component: TestDockMenu
    },
    {
      path: '/testCollectionLayout',
      name: 'TestCollectionLayout',
      component: TestCollectionLayout
    },
    {
      path: '/testtest1',
      name: 'TestTest1',
      component: TestTest1
    },
    {
      path: '/testPicker',
      name: 'TestPicker',
      component: TestPicker
    },
    {
      path: '/testNotice',
      name: 'TestNotice',
      component: TestNotice
    },
    {
      path: '*',
      name: 'Error',
      component: Error
    }
  ]
})
